/* Bouton burger */
.burger-btn {
    position: fixed;
    top: 0.6em;
    left: 0.8em;
    width: 32px;
    height: 26px;
    display: none;
    flex-direction: column;
    justify-content: space-between;
    cursor: pointer;
    z-index: 120;
    background: rgba(63, 27, 13, 0.6);
    padding: 4px;
    border-radius: 5px;
    transition: 0.3s;
}

.burger-btn span {
    display: block;
    height: 4px;
    background-color: #f9d66c;
    border-radius: 2px;
    transition: 0.3s;
}

/* Flèche */
.burger-btn:hover:not(.burger_visible) span:nth-child(1) {
    transform: translateX(5px) translateY(5px) rotate(35deg);
    width: 75%;
}

.burger-btn:hover:not(.burger_visible) span:nth-child(2) {
    opacity: 0;
}

.burger-btn:hover:not(.burger_visible) span:nth-child(3) {
    transform: translateX(5px) translateY(-5px) rotate(-35deg);
    width: 75%;
}

/* Croix */
.burger-btn.burger_visible span {
    width: 100%; /* important */
}

.burger-btn.burger_visible span:nth-child(1) {
    transform: translateY(11px) rotate(45deg);
}

.burger-btn.burger_visible span:nth-child(2) {
    opacity: 0;
}

.burger-btn.burger_visible span:nth-child(3) {
    transform: translateY(-11px) rotate(-45deg);
}




/* Menu mobile */
.mobile-menu {
    position: fixed;
    top: 0;
    left: -260px;
    width: 260px;
    height: 100vh;
    background: #3f1b0d;
    background-size: cover;
    box-shadow: 3px 0 10px rgba(0,0,0,0.5);
    padding-top: 4em;
    display: flex;
    flex-direction: column;
    transition: 0.35s ease;
    z-index: 110;
}

.mobile-menu.open {
    left: 0;
}

/* Liens */
.mobile-menu a {
    padding: 1em 1.2em;
    font-size: 20px;
    color: #f9d66c;
    text-decoration: none;
    border-bottom: 1px solid rgba(255,255,255,0.1);
}

.mobile-menu a:hover {
    background-color: rgba(255,255,255,0.05);
    color: #ffffcc;
}

